create view FILES as
select internal_tablespace_id(`ts`.`name`, `tsf`.`file_name`, `ts`.`engine`, `ts`.`se_private_data`)                 AS `FILE_ID`,
       replace(if(((locate(left(`tsf`.`file_name`, 1), './') = 0) and (substr(`tsf`.`file_name`, 2, 1) <> ':')),
                  concat('./', `tsf`.`file_name`), `tsf`.`file_name`), '\\',
               '/')                                                                                                  AS `FILE_NAME`,
       internal_tablespace_type(`ts`.`name`, `tsf`.`file_name`, `ts`.`engine`,
                                `ts`.`se_private_data`)                                                              AS `FILE_TYPE`,
       `ts`.`name`                                                                                                   AS `TABLESPACE_NAME`,
       ''                                                                                                            AS `TABLE_CATALOG`,
       NULL                                                                                                          AS `TABLE_SCHEMA`,
       NULL                                                                                                          AS `TABLE_NAME`,
       internal_tablespace_logfile_group_name(`ts`.`name`, `tsf`.`file_name`, `ts`.`engine`,
                                              `ts`.`se_private_data`)                                                AS `LOGFILE_GROUP_NAME`,
       internal_tablespace_logfile_group_number(`ts`.`name`, `tsf`.`file_name`, `ts`.`engine`,
                                                `ts`.`se_private_data`)                                              AS `LOGFILE_GROUP_NUMBER`,
       `ts`.`engine`                                                                                                 AS `ENGINE`,
       NULL                                                                                                          AS `FULLTEXT_KEYS`,
       NULL                                                                                                          AS `DELETED_ROWS`,
       NULL                                                                                                          AS `UPDATE_COUNT`,
       internal_tablespace_free_extents(`ts`.`name`, `tsf`.`file_name`, `ts`.`engine`,
                                        `ts`.`se_private_data`)                                                      AS `FREE_EXTENTS`,
       internal_tablespace_total_extents(`ts`.`name`, `tsf`.`file_name`, `ts`.`engine`,
                                         `ts`.`se_private_data`)                                                     AS `TOTAL_EXTENTS`,
       internal_tablespace_extent_size(`ts`.`name`, `tsf`.`file_name`, `ts`.`engine`,
                                       `ts`.`se_private_data`)                                                       AS `EXTENT_SIZE`,
       internal_tablespace_initial_size(`ts`.`name`, `tsf`.`file_name`, `ts`.`engine`,
                                        `ts`.`se_private_data`)                                                      AS `INITIAL_SIZE`,
       internal_tablespace_maximum_size(`ts`.`name`, `tsf`.`file_name`, `ts`.`engine`,
                                        `ts`.`se_private_data`)                                                      AS `MAXIMUM_SIZE`,
       internal_tablespace_autoextend_size(`ts`.`name`, `tsf`.`file_name`, `ts`.`engine`,
                                           `ts`.`se_private_data`)                                                   AS `AUTOEXTEND_SIZE`,
       NULL                                                                                                          AS `CREATION_TIME`,
       NULL                                                                                                          AS `LAST_UPDATE_TIME`,
       NULL                                                                                                          AS `LAST_ACCESS_TIME`,
       NULL                                                                                                          AS `RECOVER_TIME`,
       NULL                                                                                                          AS `TRANSACTION_COUNTER`,
       internal_tablespace_version(`ts`.`name`, `tsf`.`file_name`, `ts`.`engine`,
                                   `ts`.`se_private_data`)                                                           AS `VERSION`,
       internal_tablespace_row_format(`ts`.`name`, `tsf`.`file_name`, `ts`.`engine`,
                                      `ts`.`se_private_data`)                                                        AS `ROW_FORMAT`,
       NULL                                                                                                          AS `TABLE_ROWS`,
       NULL                                                                                                          AS `AVG_ROW_LENGTH`,
       NULL                                                                                                          AS `DATA_LENGTH`,
       NULL                                                                                                          AS `MAX_DATA_LENGTH`,
       NULL                                                                                                          AS `INDEX_LENGTH`,
       internal_tablespace_data_free(`ts`.`name`, `tsf`.`file_name`, `ts`.`engine`,
                                     `ts`.`se_private_data`)                                                         AS `DATA_FREE`,
       NULL                                                                                                          AS `CREATE_TIME`,
       NULL                                                                                                          AS `UPDATE_TIME`,
       NULL                                                                                                          AS `CHECK_TIME`,
       NULL                                                                                                          AS `CHECKSUM`,
       internal_tablespace_status(`ts`.`name`, `tsf`.`file_name`, `ts`.`engine`,
                                  `ts`.`se_private_data`)                                                            AS `STATUS`,
       internal_tablespace_extra(`ts`.`name`, `tsf`.`file_name`, `ts`.`engine`,
                                 `ts`.`se_private_data`)                                                             AS `EXTRA`
from (`mysql`.`tablespaces` `ts` join `mysql`.`tablespace_files` `tsf` on ((`ts`.`id` = `tsf`.`tablespace_id`)));

